View Issue Details

IDProjectCategoryView StatusLast Update
0000091Far Manager 1.7x_Commonpublic2007-07-16 16:08
ReportersdindikovAssigned Tovskirdin 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version1.70 
Target VersionFixed in Version1.70 
Summary0000091: Падение FAR при попытке создания файла с длинным именем
DescriptionFAR2071,w2003sp1,NTFS

При создании файла по Shift-f4 с длиной <=360символов

FAR сообщает
 +------------------------------ Editor ------------------------------+
 | Имя файла или его расширение имеет слишком большую длину. |
 | Cannot open the file |
 | 538534573847538497590374609347523759073057023975099999999999999538 |
 | Ok |
 +--------------------------------------------------------------------+

если пытаться создать файл с длиной имени > 360 символов
FAR сообщает:

+------------------------------ Editor ------------------------------+
| Имя файла или его расширение имеет слишком большую длину. |
| Cannot open the file |
| D:\TEMP\FTMP0000.6L1\538534573847538497590374609347523759073057023 |
| Ok |
+--------------------------------------------------------------------+

+------------------------------ Error -------------------------------+
| Cannot save file |
| Edited text is stored in |
| D:\TEMP\FTMP0000.6L1\538534573847538497590374609347523759073057023 |
| Ok |
+--------------------------------------------------------------------+

Видим что сообщения как-то нете :) особенно путь до файла.

Воспроизводится проблема 100%
TagsNo tags attached.
Build

Activities

vskirdin

2006-02-19 09:34

administrator   bugnote:0000072

проверяйте: http://farmanager.com/farbugs/mantis.91.rar

sdindikov

2006-02-19 18:57

developer   bugnote:0000073

Вроде всё починилось!

alexy

2006-02-24 14:48

administrator   bugnote:0000075

Сергей, тока в будущем не ставь багам Closed-Fixed а Resolved-Fixed.

Issue History

Date Modified Username Field Change
2006-02-16 07:18 sdindikov New Issue
2006-02-19 09:23 vskirdin Status new => assigned
2006-02-19 09:23 vskirdin Assigned To => vskirdin
2006-02-19 09:34 vskirdin Note Added: 0000072
2006-02-19 18:57 sdindikov Status assigned => closed
2006-02-19 18:57 sdindikov Note Added: 0000073
2006-02-19 18:57 sdindikov Resolution open => fixed
2006-02-24 14:48 alexy Status closed => resolved
2006-02-24 14:48 alexy Note Added: 0000075
2006-02-27 21:59 alexy Fixed in Version => alpha 6
2007-07-16 16:08 alexy Status resolved => closed